## libkdegames 15.12.3

=== CMakeLists.txt ===
enable_testing()

project(libkdegames)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets Svg Test)
find_package(KF5 REQUIRED COMPONENTS CoreAddons Config WidgetsAddons Codecs Archive
    DBusAddons DNSSD Declarative
    I18n GuiAddons Service ConfigWidgets ItemViews IconThemes Completion JobWidgets TextWidgets GlobalAccel XmlGui Crash
    Bookmarks KIO NewStuff)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DMAKE_KDEGAMESPRIVATE_LIB)
add_definitions(-DTRANSLATION_DOMAIN="libkdegames5")

include_directories(${CMAKE_SOURCE_DIR}/includes)

find_package(OpenAL REQUIRED)
set_package_properties(OPENAL PROPERTIES
                       URL "http://connect.creativelabs.com/openal"
                      )

find_package(SndFile REQUIRED)
set_package_properties(SndFile PROPERTIES
                       URL "http://www.mega-nerd.com/libsndfile/"
                      )

set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")

configure_file(highscore/config-highscore.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/highscore/config-highscore.h )

add_subdirectory( carddecks )
add_subdirectory( declarativeimports )
add_subdirectory( highscore )
add_subdirectory( includes )
add_subdirectory( libkdegamesprivate )
add_subdirectory( tests )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/highscore
    ${CMAKE_CURRENT_BINARY_DIR}/highscore
    # the following only for libkdegamesprivate, but there aren't
    # target-specific include directories
    ${CMAKE_CURRENT_SOURCE_DIR}/libkdegamesprivate/kgame
    ${CMAKE_CURRENT_SOURCE_DIR}/libkdegamesprivate/..
)

option (USE_OPENAL_SNDFILE "use OpenAL and libsndfile in libkdegames" ON)
if (SNDFILE_FOUND AND USE_OPENAL_SNDFILE)
    message(STATUS "Checking libsndfile capabilities")
    try_compile(SNDFILE_WORKS
        ${CMAKE_CURRENT_BINARY_DIR}/audio/check-libsndfile-capabilities
        ${CMAKE_CURRENT_SOURCE_DIR}/audio/check-libsndfile-capabilities.cpp
        CMAKE_FLAGS -DINCLUDE_DIRECTORIES=${SNDFILE_INCLUDE_DIR})
    if (NOT SNDFILE_WORKS)
        message(FATAL_ERROR "Your version of libsndfile (found in " ${SNDFILE_LIBRARIES} ") is too old. At least version 0.21 is needed. To skip the optional OpenAL/libsndfile dependency in libkdegames (not recommended), re-run cmake with -DUSE_OPENAL_SNDFILE=OFF.")
    endif (NOT SNDFILE_WORKS)
endif (SNDFILE_FOUND AND USE_OPENAL_SNDFILE)

message (STATUS "INCLUDES FOR SOUND:  " ${OPENAL_INCLUDE_DIR} " " ${SNDFILE_INCLUDE_DIR})
message (STATUS "LIBRARIES FOR SOUND: " ${OPENAL_LIBRARY} " " ${SNDFILE_LIBRARIES})
include_directories(${OPENAL_INCLUDE_DIR} ${SNDFILE_INCLUDE_DIR})
set(KGAUDIO_LINKLIBS ${OPENAL_LIBRARY} ${SNDFILE_LIBRARIES})
set(KGAUDIO_BACKEND openal)
set(KGAUDIO_BACKEND_OPENAL TRUE) # for configure_file() below

configure_file(libkdegames_capabilities.h.in ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h)

########### next target ###############

set(kdegames_LIB_SRCS
    audio/kgaudioscene-${KGAUDIO_BACKEND}.cpp
    audio/kgsound-${KGAUDIO_BACKEND}.cpp
    colorproxy_p.cpp
#   highscore/kconfigrawbackend.cpp
    highscore/khighscore.cpp
    highscore/kscoredialog.cpp
    kgameclock.cpp
    kgamepopupitem.cpp
    kgamerendereditem.cpp
    kgamerenderedobjectitem.cpp
    kgamerendererclient.cpp
    kgamerenderer.cpp
    kgdeclarativeview.cpp
    kgimageprovider.cpp
    kgdifficulty.cpp
    kgtheme.cpp
    kgthemeprovider.cpp
    kgthemeselector.cpp
    kstandardgameaction.cpp
)

add_library(KF5KDEGames SHARED ${kdegames_LIB_SRCS})

generate_export_header(KF5KDEGames BASE_NAME libkdegames EXPORT_MACRO_NAME KDEGAMES_EXPORT DEPRECATED_MACRO_NAME KDE_DEPRECATED)

target_link_libraries(KF5KDEGames
                PRIVATE
                      ${KGAUDIO_LINKLIBS}
                      Qt5::Xml
                      Qt5::Svg
                      Qt5::Quick
                      KF5::Declarative
                      KF5::KIOWidgets
                      KF5::NewStuff
                      KF5::IconThemes
                      KF5::GuiAddons
                PUBLIC
                      Qt5::Widgets
                      Qt5::QuickWidgets
                      Qt5::Qml
                      KF5::ConfigCore
                      KF5::I18n
                      KF5::WidgetsAddons
                      KF5::ConfigWidgets
)

target_include_directories(KF5KDEGames INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames;${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames/KDE;${KF5_INCLUDE_INSTALL_DIR}>")

set(KDEGAMES_VERSION 7.0.0)
set(KDEGAMES_SOVERSION 7)

set_target_properties(KF5KDEGames PROPERTIES VERSION   ${KDEGAMES_VERSION}
                                             SOVERSION ${KDEGAMES_SOVERSION}
                                             EXPORT_NAME KF5KDEGames
)

ecm_setup_version(${KDEGAMES_VERSION} VARIABLE_PREFIX KDEGAMES
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdegames_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfigVersion.cmake"
                        SOVERSION ${KDEGAMES_SOVERSION})

set_target_properties(KF5KDEGames PROPERTIES
    VERSION   ${KDEGAMES_VERSION}
    SOVERSION ${KDEGAMES_SOVERSION}
)

install(TARGETS KF5KDEGames EXPORT KF5KDEGamesLibraryDepends
    ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

# NOTE: The libkdegamesprivate target is compiled in this directory, because
# CMake can't cope with exported libraries in two different directories.

set(kdegamesprivate_LIB_SRCS
    libkdegamesprivate/kchatbase.cpp
    libkdegamesprivate/kchatbaseitemdelegate.cpp
    libkdegamesprivate/kchatbasemodel.cpp
    libkdegamesprivate/kgame/kgamechat.cpp
    libkdegamesprivate/kgame/kgame.cpp
    libkdegamesprivate/kgame/kgameerror.cpp
    libkdegamesprivate/kgame/kgameio.cpp
    libkdegamesprivate/kgame/kgamemessage.cpp
    libkdegamesprivate/kgame/kgamenetwork.cpp
    libkdegamesprivate/kgame/kgameproperty.cpp
    libkdegamesprivate/kgame/kgamepropertyhandler.cpp
    libkdegamesprivate/kgame/kgamesequence.cpp
    libkdegamesprivate/kgame/kmessageclient.cpp
    libkdegamesprivate/kgame/kmessageio.cpp
    libkdegamesprivate/kgame/kmessageserver.cpp
    libkdegamesprivate/kgame/kplayer.cpp
    libkdegamesprivate/kgamecanvas.cpp
    libkdegamesprivate/kgamedifficulty.cpp
    libkdegamesprivate/kgamesvgdocument.cpp
    libkdegamesprivate/kgametheme.cpp
    libkdegamesprivate/kgamethemeselector.cpp
)

ki18n_wrap_ui(kdegamesprivate_LIB_SRCS
    libkdegamesprivate/kgamethemeselector.ui
)

add_library(KF5KDEGamesPrivate SHARED ${kdegamesprivate_LIB_SRCS})
generate_export_header(KF5KDEGamesPrivate BASE_NAME libkdegamesprivate EXPORT_MACRO_NAME KDEGAMESPRIVATE_EXPORT DEPRECATED_MACRO_NAME KDE_DEPRECATED)

target_link_libraries(KF5KDEGamesPrivate
                PRIVATE
                      KF5::DNSSD
                      KF5::NewStuff
                      KF5::Archive
                PUBLIC
                      Qt5::Xml
                      Qt5::Network
                      KF5::Completion
                      KF5KDEGames
)

target_include_directories(KF5KDEGamesPrivate INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames/libkdegamesprivate>" )

set_target_properties(KF5KDEGamesPrivate PROPERTIES
    VERSION   1.0.0
    SOVERSION 1
)

install(TARGETS KF5KDEGamesPrivate EXPORT KF5KDEGamesLibraryDepends
    ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES kgthemeprovider-migration.upd
    DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h
    audio/kgaudioscene.h
    audio/kgsound.h
    kgameclock.h
    kgamepopupitem.h
    kgamerendereditem.h
    kgamerenderedobjectitem.h
    kgamerendererclient.h
    kgamerenderer.h
    kgdeclarativeview.h
    kgdifficulty.h
    kgtheme.h
    kgthemeprovider.h
    kgthemeselector.h
    kstandardgameaction.h
DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames COMPONENT Devel)

########### generate exports ###############

# add libraries to the build-tree export set
export(TARGETS KF5KDEGames KF5KDEGamesPrivate
    FILE "${PROJECT_BINARY_DIR}/KF5KDEGamesLibraryDepends.cmake")

# define the installation directory for the CMake files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5KDEGames")

# create the Config.cmake and ConfigVersion.cmake files
ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDEGamesConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5KDEGamesConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

# install the export set for use with the install-tree
install(EXPORT KF5KDEGamesLibraryDepends DESTINATION
    ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)
	
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdegames_version.h  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames  COMPONENT Devel)

feature_summary(WHAT ALL
                INCLUDE_QUIET_PACKAGES
                FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== includes/CMakeLists.txt ===
install(FILES
	KExtHighscore
	KGameClock
	KGamePopupItem
	KGameRenderedItem
	KGameRenderedObjectItem
	KGameRenderer
	KGameRendererClient
	KgAudioScene
	KgDeclarativeView
	KgDifficulty
	KgSound
	KgTheme
	KgThemeProvider
	KgThemeSelector
	KHighscore
	KScoreDialog
	KStandardGameAction
DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames/KDE COMPONENT Devel)

=== carddecks/svg-nicu-ornamental/CMakeLists.txt ===

file( RELATIVE_PATH current_dir ${carddecks_base_dir} ${CMAKE_CURRENT_SOURCE_DIR} )
install( FILES 11.png index.desktop ornamental.svgz DESTINATION ${DATA_INSTALL_DIR}/carddecks/${current_dir} )
install( FILES COPYING AUTHORS DESTINATION  ${DATA_INSTALL_DIR}/carddecks/${current_dir} )

=== debian/changelog ===
libkdegames (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:17:26 -0700

libkdegames (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:26:38 +0100

libkdegames (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * Follow upstream soversion bump
  * New patch: incomplete_header

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:32 +0100

libkdegames (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).
  * Update symbols files from buildds logs (4:15.08.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:20 +0100

libkdegames (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * Update symbols files from buildds logs (4:14.12.2-1).
  * New upstream release (15.08.0).
  * Update copyright file.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Sep 2015 21:00:19 +0200

libkdegames (4:14.12.2-2) unstable; urgency=medium

  * Migrate to unstable.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 15:36:46 +0200

libkdegames (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 08:53:26 +0100

libkdegames (4:4.14.2-2) unstable; urgency=medium

  * Update symbols files. (Closes: #777950)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 16:52:33 +0200

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kio-dev,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5dnssd-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5service-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libopenal-dev,
               libqt5svg5-dev (>= 5.4),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkdegames.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkdegames.git

Package: libkf5kdegames7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev,
         libkf5declarative-dev,
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate1 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5kdegames-dbg (<= 4:15.12.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## libkdegames 16.04.3

=== debian/changelog ===
libkdegames (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:40:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,41 +11,41 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kio-dev,
-               libkf5archive-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5declarative-dev,
-               libkf5dnssd-dev,
-               libkf5globalaccel-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5itemviews-dev,
-               libkf5jobwidgets-dev,
-               libkf5kdelibs4support-dev,
-               libkf5newstuff-dev,
-               libkf5service-dev,
-               libkf5textwidgets-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5archive-dev (>= 5.24.0~),
+               libkf5bookmarks-dev (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5declarative-dev (>= 5.24.0~),
+               libkf5dnssd-dev (>= 5.24.0~),
+               libkf5globalaccel-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5itemviews-dev (>= 5.24.0~),
+               libkf5jobwidgets-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5textwidgets-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libopenal-dev,
-               libqt5svg5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.6.1~),
                libsndfile1-dev,
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkdegames.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: libkf5kdegames7
 Architecture: any

## libkdegames 16.08.3

=== carddecks/svg-oxygen-white/CMakeLists.txt ===

file( RELATIVE_PATH current_dir ${carddecks_base_dir} ${CMAKE_CURRENT_SOURCE_DIR} )
install( FILES 11.png index.desktop oxygen-white.svgz DESTINATION ${DATA_INSTALL_DIR}/carddecks/${current_dir} )

=== debian/changelog ===
libkdegames (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:19:22 +0100

libkdegames (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Wrap too long changelog line in entry for version 4:16.04.0-1.
  * Remove AUTHORS, COPYING, and COPYRIGHT files of themes from the local
    debian/tmp, so kdegames-card-data-kf5.install can be simplified a lot.
    - remove not-installed file, no more needed now

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 09:03:23 +0200

libkdegames (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Hacky use of xephyr
  * No curly brackets in the trap call
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:20:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,41 +11,42 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5archive-dev (>= 5.24.0~),
-               libkf5bookmarks-dev (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5completion-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5crash-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5declarative-dev (>= 5.24.0~),
-               libkf5dnssd-dev (>= 5.24.0~),
-               libkf5globalaccel-dev (>= 5.24.0~),
-               libkf5guiaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5itemviews-dev (>= 5.24.0~),
-               libkf5jobwidgets-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5textwidgets-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.3.0~),
+               kio-dev,
+               libkf5archive-dev,
+               libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5declarative-dev,
+               libkf5dnssd-dev,
+               libkf5globalaccel-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
+               libkf5kdelibs4support-dev,
+               libkf5kio-dev,
+               libkf5newstuff-dev,
+               libkf5service-dev,
+               libkf5textwidgets-dev,
+               libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
                libopenal-dev,
-               libqt5svg5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.4),
                libsndfile1-dev,
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4)
+Standards-Version: 3.9.8
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdegames.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdegames.git
 
 Package: libkf5kdegames7
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command)
	# don't install extra license files
	find debian/tmp \( -name AUTHORS -o -name COPYING -o -name COPYRIGHT \) -print -delete

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5kdegames-dbg (<= 4:15.12.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils, xserver-xephyr
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkdegames-([\d.]+).tar.xz

## libkdegames 16.12.3

=== debian/changelog ===
libkdegames (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:34 +0000

libkdegames (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Remove previously dropped acc test, which was re-added on last
    debian merge.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 21 Jan 2017 16:20:59 +0000

libkdegames (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:14 +0000

libkdegames (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Updating symbols 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:31:52 +0000

=== debian/control ===
--- 
+++ 
@@ -11,42 +11,41 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kio-dev,
-               libkf5archive-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
-               libkf5config-dev,
-               libkf5configwidgets-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5declarative-dev,
-               libkf5dnssd-dev,
-               libkf5globalaccel-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5itemviews-dev,
-               libkf5jobwidgets-dev,
-               libkf5kdelibs4support-dev,
-               libkf5kio-dev,
-               libkf5newstuff-dev,
-               libkf5service-dev,
-               libkf5textwidgets-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5bookmarks-dev (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5declarative-dev (>= 5.31.0~),
+               libkf5dnssd-dev (>= 5.31.0~),
+               libkf5globalaccel-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5itemviews-dev (>= 5.31.0~),
+               libkf5jobwidgets-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5textwidgets-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                libopenal-dev,
-               libqt5svg5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.6.1~),
                libsndfile1-dev,
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdegames.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: libkf5kdegames7
 Architecture: any
@@ -78,11 +77,11 @@
 Package: libkf5kdegames-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5completion-dev,
-         libkf5declarative-dev,
+Depends: libkf5completion-dev (>= 5.31.0~),
+         libkf5declarative-dev (>= 5.31.0~),
          libkf5kdegames7 (= ${binary:Version}),
          libkf5kdegamesprivate1 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for the KDE games library
  This package contains development files for building software that uses

## libkdegames 17.04.3

=== debian/changelog ===
libkdegames (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add libkf5kdegames-data installing the translations
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:34 +0100

## libkdegames 17.08.3

=== debian/changelog ===
libkdegames (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879394)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove unused kio-dev, and libkf5kdelibs4support-dev build dependencies.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Nov 2017 09:24:30 +0100

libkdegames (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:45 +0000

libkdegames (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:26 +0000

libkdegames (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:12 +0000

libkdegames (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:25:46 +0000

libkdegames (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:36 +0000

libkdegames (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:40 +0000

libkdegames (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:30 +0000

libkdegames (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:23:52 +0000

libkdegames (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:58 +0000

libkdegames (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:26 +0000

libkdegames (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:25 +0000

libkdegames (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:13 +0000

libkdegames (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:26 +0000

libkdegames (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:10 +0000

libkdegames (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jul 2016 16:10:59 +0000

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5dnssd-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5service-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libopenal-dev,
               libqt5svg5-dev (>= 5.4),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdegames.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdegames.git

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev,
         libkf5declarative-dev,
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate1 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends},
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:16.04.3-2~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
 	$(overridden_command)

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils, xserver-xephyr
Restrictions: build-needed

## libkdegames 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 include(ECMGenerateHeaders)
 include(ECMMarkNonGuiExecutable)
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 add_definitions(${QT_DEFINITIONS})
@@ -268,3 +268,4 @@
                 INCLUDE_QUIET_PACKAGES
                 FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+ki18n_install(po)

=== audio/CMakeLists.txt ===
########### install files ###############

install(FILES
    kgaudioscene.h
    kgsound.h
DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames COMPONENT Devel)

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories(  ${CMAKE_SOURCE_DIR}/libkdegames )

MACRO(LIBKDEGAMES_EXECUTABLE_TESTS)
       FOREACH(_testname ${ARGN})
               set(${_testname}_SRCS ${_testname}.cpp)
               #if test has an ui file, use it
               IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.ui)
                  ki18n_wrap_ui(${_testname}_SRCS ${_testname}.ui)
               ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.ui)

               add_executable(${_testname} TEST ${${_testname}_SRCS})
               target_link_libraries(${_testname}  ${KDE4_KDEGAMES_LIBS} Qt5::Test KF5KDEGames)
       ENDFOREACH(_testname)
ENDMACRO(LIBKDEGAMES_EXECUTABLE_TESTS)

if (Q_WS_X11)
LIBKDEGAMES_EXECUTABLE_TESTS(
#    kxerrorhandlertest # File missing from svn
#     kgamepopupitemtest
)
endif (Q_WS_X11)

=== debian/changelog ===
libkdegames (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:32 +0000

libkdegames (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update symbols from logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:15 +0000

libkdegames (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Refresh symbols and removing MISSING

  [ Rik Mills ]
  * Update symbols
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:00 +0000

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libopenal-dev,
               libqt5svg5-dev (>= 5.6.1~),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames

Package: libkf5kdegames7
Architecture: any
Depends: libkf5kdegames-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for KDE games - data files
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.31.0~),
         libkf5declarative-dev (>= 5.31.0~),
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5kdegames-dbg (<= 4:15.12.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils
Restrictions: build-needed
